Skip to content
First requestVisit website ↗
Navigation

Process bulk field changes via webhook

POST
https://api.channelautomation.com/api/triggers/webhooks/bulk-field-changes

Authorization

  • bearerAuth
    bearerAuth
    required

Request body JSON required

  • changes
    array of
    object
    required
    • entityId
      string
      required

      ID of the entity to update

    • entityType
      contact
      or
      opportunity
      or
      company
      required

      Type of entity

    • field
      string
      required

      Field name to update

    • value
      string
      required

      New value for the field

    • workspaceId
      optional
      string

      Workspace ID for validation

Returns

200

Changes processed successfully

JSON
  • success
    optional
    boolean
  • processed
    optional
    integer
  • failed
    optional
    integer
  • results
    optional
    array of
    object

400

Invalid input data

401

Unauthorized

500

Internal server error

Type to search…

↑↓ navigate↵ selectEsc close